<?php

declare(strict_types=1);

namespace App\Enum\Access;

use App\Enum\EnumMethodsTrait;

/**
 * Due to departures.
 */
enum DeparturesCauseEnum: string
{
    use EnumMethodsTrait;

    case LEFT_THE_STRUCTURE = 'LEFT_THE_STRUCTURE';
    case DEATH = 'DEATH';
    case REFERENCE = 'REFERENCE';
    case ABANDONMENT = 'ABANDONMENT';
    case SABBATICAL = 'SABBATICAL';
    case OTHER = 'OTHER';
    case MOVE = 'MOVE';
    case DISEASE = 'DISEASE';
    case RESIGNATION = 'RESIGNATION';
    case END_OF_TERM = 'END_OF_TERM';
}
